# BEGIN SourceDeps(oneline):
BuildRequires: perl(File/Slurp.pm) perl(JSON/Any.pm) perl(List/MoreUtils.pm) perl(Module/Build.pm) perl(Module/Build/Compat.pm) perl(Perl6/Export/Attrs.pm) perl(Storable.pm) perl(Test/More.pm) perl(Test/NoWarnings.pm) perl(UNIVERSAL/require.pm) perl(XML/Atom.pm) perl(XML/Simple.pm) perl(version.pm)
# END SourceDeps(oneline)
%define module_version v0.1.10
%define module_name Google-Data-JSON
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.1.10
Release: alt1
Summary: General XML-JSON converter based on Google Data APIs
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/T/TA/TAKERU/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Google::Data::JSON provides several methods to convert an XML feed 
into a JSON feed, and vice versa. The JSON format is defined in Google 
Data APIs, http://code.google.com/apis/gdata/json.html .

This module is not restricted to Atom Feed.
Any XML documents can be converted into JSON-format, and vice versa.

The following rules are described in Google Data APIs:


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/G*

%changelog
* Mon Oct 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.10-alt1
- initial import by package builder

